<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWPListEditView9Base from './emwplist-edit-view9-base.vue';

import view_form from '@widgets/emwplist/main8-form/main8-form.vue';

/**
 * 采购申请
 *
 * @export
 * @class EMWPListEditView9
 * @extends {EMWPListEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWPListEditView9 extends EMWPListEditView9Base { }
</script>